Update a meter

Requires the METER.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptional
The status of the meter indicating the activity of the meter and the ability to update properties.
Allowed values:
meter_valueslist of objects or nullOptional
The values used as input to calculate billable units, used in the meter.
meter_propertieslist of objects or nullOptional
The properties that provide information to give context to an event, used in the meter.

Response

OK
referencestringformat: "^\S+$"0-256 characters
object_typestring or nullRead-only
idstring or nullRead-only
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum or null
The status of the meter indicating the activity of the meter and the ability to update properties.
Allowed values:
meter_valueslist of objects or null
The values used as input to calculate billable units, used in the meter.
meter_propertieslist of objects or null
The properties that provide information to give context to an event, used in the meter.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error